package com.lz.modules.equipment.entity;

import lombok.Data;

import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*部门表
* @author quyixiao
* @since 2020-07-30
*/


@Data
public class TDepartmentReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //主键id
    private Long id;
    //
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //修改时间
    private Date gmtModified;
    //父部门 id
    private Long parentId;
    //部门名称
    private String deptName;
    //排序
    private Integer rank;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 父部门 id 
     * @return
     */
    public Long getParentId() {
        return parentId;
    }
    /**
     * 父部门 id 
     * @param parentId
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    /**
     * 部门名称 
     * @return
     */
    public String getDeptName() {
        return deptName;
    }
    /**
     * 部门名称 
     * @param deptName
     */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /**
     * 排序 
     * @return
     */
    public Integer getRank() {
        return rank;
    }
    /**
     * 排序 
     * @param rank
     */
    public void setRank(Integer rank) {
        this.rank = rank;
    }

    @Override
    public String toString() {
        return "TDepartment{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",parentId=" + parentId +
                ",deptName=" + deptName +
                ",rank=" + rank +
                "}";
    }
}